## org.apache.html.dom
Class HTMLIFrameElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLIFrameElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLIFrameElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class HTMLIFrameElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLIFrameElement

Version:
  $Revision: 1.8 $ $Date: 2003/05/08 20:13:09 $
Author:
  Assaf Arkin
See Also:
  `HTMLIFrameElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.apache.xerces.dom3.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLIFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAlign()`
`java.lang.String` `getFrameBorder()`
`java.lang.String` `getHeight()`
`java.lang.String` `getLongDesc()`
`java.lang.String` `getMarginHeight()`
`java.lang.String` `getMarginWidth()`
`java.lang.String` `getName()`
`java.lang.String` `getScrolling()`
`java.lang.String` `getSrc()`
`java.lang.String` `getWidth()`
`void` `setAlign(java.lang.String align)`
`void` `setFrameBorder(java.lang.String frameBorder)`
`void` `setHeight(java.lang.String height)`
`void` `setLongDesc(java.lang.String longDesc)`
`void` `setMarginHeight(java.lang.String marginHeight)`
`void` `setMarginWidth(java.lang.String marginWidth)`
`void` `setName(java.lang.String name)`
`void` `setScrolling(java.lang.String scrolling)`
`void` `setSrc(java.lang.String src)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLIFrameElementImpl

    public HTMLIFrameElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getFrameBorder

    public java.lang.String getFrameBorder()

  Specified by:
    `getFrameBorder` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    `setFrameBorder` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    `setHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    `getLongDesc` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    `setLongDesc` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getMarginHeight

    public java.lang.String getMarginHeight()

  Specified by:
    `getMarginHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    `setMarginHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getMarginWidth

    public java.lang.String getMarginWidth()

  Specified by:
    `getMarginWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    `setMarginWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getScrolling

    public java.lang.String getScrolling()

  Specified by:
    `getScrolling` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    `setScrolling` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLIFrameElement`

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.